<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship" xmlns:p="http://primefaces.org/ui">
<h:head></h:head>
<h:body>
	<ui:composition template="/pages/pridiatemplate.xhtml">
		<ui:define name="location">
			<ui:include src="/pages/admin/submenu.xhtml" />
		</ui:define>
		<ui:define name="body">
			<p:panel header="#{facesContext.translate('title.admin.maintenance')}">
				<p:dataTable id="maintenances" value="#{adminModel.maintenances}" var="m">
					<p:column headerText="#{facesContext.translate('label.admin.maintenance.pk')}" styleClass="column-integer-10k">
						<p:commandLink id="btn_editid" action="#{adminController.toEditMaintenance(m)}" value="#{m.pk}" ajax="false" />
					</p:column>
					<p:column headerText="#{facesContext.translate('label.admin.maintenance.message')}" styleClass="column-description">
						<p:commandLink id="btn_editmessage" action="#{adminController.toEditMaintenance(m)}" value="#{m.message}" ajax="false" />
					</p:column>
					<p:column headerText="#{facesContext.translate('label.admin.maintenance.downtimeStart')}" styleClass="column-datetime">
						<p:commandLink id="btn_editdtstart" action="#{adminController.toEditMaintenance(m)}" value="#{m.downtimeStart}" ajax="false" />
					</p:column>
					<p:column headerText="#{facesContext.translate('label.admin.maintenance.downtimeEnd')}" styleClass="column-datetime">
						<p:commandLink id="btn_editdtend" action="#{adminController.toEditMaintenance(m)}" value="#{m.downtimeEnd}" ajax="false" />
					</p:column>
					<p:column headerText="#{facesContext.translate('label.actions')}" styleClass="column-one-button">
						<ship:removeButton action="#{adminController.doRemoveMaintenance(m.pk)}" isLink="false" value="" tooltip="#{facesContext.translate('button.remove')}"
							title="#{facesContext.translate('title.delete.approve')}" approveButtonLabel="#{facesContext.translate('button.yes')}" cancelButtonLabel="#{facesContext.translate('button.no')}">
							<h:outputText value="#{facesContext.translate('confirmation.delete.maintenance', m.downtimeStart, m.downtimeEnd)}" />
						</ship:removeButton>
					</p:column>
				</p:dataTable>
			</p:panel>
		</ui:define>
		<ui:define name="formbuttons">
			<p:commandButton id="btn_add" action="#{adminController.doAddMaintenance}" value="#{facesContext.translate('button.add')}" ajax="false" />
		</ui:define>
		<ui:define name="help_de">
			TODO StS: Hier werden Nachrichten verwaltet, die die Webseite betreffen. Diese Nachrichten werden bis Downtime-Ende auf jeder Seite als Warnung angezeigt. Eine typische Warnung zeigt spontan geplante Wartungsarbeiten an.  
		</ui:define>
	</ui:composition>
</h:body>
</html>